<?session_start();

include("../config.php");

if(isset($_SESSION["username"])){
$sql_pk = mysql_query("SELECT `id`, `money_cr` FROM `tb_users` WHERE `username` = '".$_SESSION["username"]."'");
$pk = mysql_fetch_assoc($sql_pk);
if($_GET["id_l_act"] != ""){

  $lot = intval($_GET["id_l_act"]);

  $sql_auc = mysql_query("SELECT * FROM `still_aukcion` WHERE `id` = '$lot' LIMIT 1");
  $row_a = mysql_fetch_assoc($sql_auc);

  $time_end = $row_a["tim_end"] - time();

  if($time_end < 0){

    $err_act = "<div class='acuer3'>Аукцион завершен, ставки больше не принимаються</div>";

  }else{

    if($row_a["money"] > $pk["money_cr"]){

      $err_act = "<div class='acuer2'>У Вас на балансе не достаточно средств</div>";

    }else{

      if($pk["id"] == $row_a["idu"]){

        $err_act = "<div class='acuer3'>Нельзя купить самого себя</div>";

      }else{

        if($pk["id"] == $row_a["idpr"]){

          $err_act = "<div class='acuer3'>Не стоит так делать, этот реферал и так Ваш</div>";

        }else{
          if($pk["id"] == $row_a["idpk"]){

            $err_act = "<div class='acuer3'>Вы и так лидируете, зачем тратить деньги</div>";

          }else{


            mysql_query("UPDATE tb_users SET money_cr=money_cr - '".$row_a["money"]."' WHERE id='".$pk["id"]."'");

            if($time_end <= 240){$t_end = time()+(4*60); $zap_act = ", `tim_end` = '$t_end'";}

            mysql_query("UPDATE still_aukcion set stavok=stavok + '1', idpk = '".$pk["id"]."'".$zap_act."  where id='$lot'");

            $err_act = "<div class='acuer2'>Ставка сделана</div>";
          }

        }

      }

    }

  }

}

}
echo "".$err_act."";?>